# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit ruby

DESCRIPTION="geos_one loved tools"
HOMEPAGE="http://geos_one.mars.arge.at"
SRC_URI="http://ftp.mars.arge.at/pub/overlay/redigest
	http://www.linuxfromscratch.org/patches/downloads/MAINTAINER/lfspatch
	http://www.linuxfromscratch.org/patches/downloads/MAINTAINER/checkPatch
	http://www.stacken.kth.se/~foo/gentoo/files/distclean-0.2.py
	http://dev.gentoo.org/~betelgeuse/scripts/deputils/checkdeps.rb
	http://dev.gentoo.org/~betelgeuse/scripts/deputils/oneelf.rb
	http://dev.gentoo.org/~betelgeuse/scripts/deputils/pkgutil.rb
	http://gentooexperimental.org/~shillelagh/overlay-utils-0.2.tar.bz2"

LICENSE="GPL-2"
KEYWORDS="ia64 ppc ppc64 ~sparc x86 amd64"
RESTRICT="mirror"

IUSE=""

DEPEND=""
RDEPEND="app-portage/gentoolkit-dev
	dev-util/subversion
	sys-apps/portage"


src_unpack() {
	unpack overlay-utils-0.2.tar.bz2
	cd overlay-utils-0.2
	sed -i -e 's/sbin\(\/functions\.sh\)/etc\/init\.d\1/' sunrise-commit || die "sed failed"
	sed -i -e 's/\(echangelog\)-tng/\1/' sunrise-commit || die "sed failed"
	sed -i -e 's/sunrise/go/' sunrise-commit || die "sed failed"
	sed -i -e 's/Sunrise/Geos_One/' sunrise-commit || die "sed failed"
	sed -i -e 's/sunrise/go/' sunrise-commit.1 || die "sed failed"
	sed -i -e 's/Sunrise/Geos_One/' sunrise-commit.1 || die "sed failed"
}

src_install() {
	newbin overlay-utils-0.2/sunrise-commit go-commit
	newman overlay-utils-0.2/sunrise-commit.1 go-commit.1
	newbin ${DISTDIR}/lfspatch go-patch
	dosed "s%nano%mcedit%g" /usr/bin/go-patch
	dosed "s%=\"enabled\"%=\"disabled\"%g" /usr/bin/go-patch
	dosed "s%.org\"%.org\"\n\n. /etc/portage/go-patch%g" /usr/bin/go-patch
	mkdir -p ${D}/etc/portage
	echo "submitter=\"Your Name\"" > ${D}/etc/portage/go-patch
	echo "email=\"your@email.address\"" >> ${D}/etc/portage/go-patch
	newbin ${DISTDIR}/checkPatch go-checkPatch
	newbin ${DISTDIR}/distclean-0.2.py go-distclean
	newbin ${DISTDIR}/redigest go-redigest
	exeinto /usr/share/${PN}/deputils
	doexe ${DISTDIR}/checkdeps.rb
	doexe ${DISTDIR}/oneelf.rb
	doexe ${DISTDIR}/pkgutil.rb
	dosym /usr/share/${PN}/deputils/checkdeps.rb /usr/bin/go-checkdeps
	dosed "s%pkgutil.rb%/usr/share/${PN}/deputils/pkgutil.rb%g" /usr/share/${PN}/deputils/checkdeps.rb
}

