# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

inherit python

DESCRIPTION="An app to choose between gensplash themes."
HOMEPAGE="http://kde-apps.org/content/show.php?content=46988"
SRC_URI="http://kde-apps.org/CONTENT/content-files/46988-${P}.tar.gz"

RESTRICT="nomirror"

SLOT="0"
LICENSE="GPL"
KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc x86"

DEPEND=">=dev-python/PyQt-3.13
	kde?(>=kde-base/kdesu-3.5.0)
	gnome?(>=x11-libs/gksu-1.9.1)
"

IUSE="gnome kde doc"

python_version

src_install() {
	if use doc ; then
		dodoc doc/README.TXT
	fi
	if use kde ; then
		dobin kde/gentoo_splash_chooser
	else
		dobin gnome/gentoo_splash_chooser
	fi
	into /usr/lib/python${PYVER}/site-packages/
	cp -r gentoo_splash_chooser ${D}usr/lib/python${PYVER}/site-packages/
}

