# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

inherit flag-o-matic eutils

IUSE="mysql ssl"

MY_P=${P/_/}
S=${WORKDIR}/${MY_P}

DESCRIPTION="Full-featured web search engine"
SRC_URI="http://freshmeat.net/redir/udmsearch/6509/url_tgz/${MY_P}.tar.gz"
HOMEPAGE="http://www.mnogosearch.org/"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86 sparc hppa alpha ppc ~mips amd64"


src_unpack() {
        unpack ${A}
        cd ${S}
}

src_compile() {
        local modules myconf

        econf \
                --prefix=/usr/local/mnogosearch
        
                ${myconf} || die "bad ./configure"

        emake || die "compile problem"
}

src_install() {
        
        make DESTDIR=${D} install || die


}

pkg_postinst() {
      einfo
        einfo 'You package files in  /usr/local/mnogosearch'
        einfo
}